Bug 8409 - Key repeat rate
Key repeat rate
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
Depends On:
  Show dependency treegraph
Reported: 2000-01-12 12:21 EST by Tim Waugh
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-01-18 11:13:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2000-01-12 12:21:52 EST
The default key repeat rate is awful -- really slow delay AND repeat. xset r rate 350 50 makes things better.
Comment 1 Stephen John Smoogen 2000-01-12 18:51:59 EST
What would be a quick fix would be to change the old default

    AutoRepeat  500 5

    AutoRepeat  250 10

which is what all AT keyboards are supposed to be able to do. I have found that
most 486 and above can do

    AutoRepeat  250 20
Comment 2 Derek Tattersall 2000-01-13 11:37:59 EST
The kbdrate command will clear this condition on both VCs and xterms.  It will
set the kbdrate to the default of 10.9 Cps and 250 Ms delay.
Comment 3 Stephen John Smoogen 2000-01-13 13:16:59 EST
While kbdrate is a fix, it is not a good one when it is the default
configuration is causing the problem with most keyboards.. unless kbdrate will
be executed in the default login scripts (ie tied in with bash etc). It is sort
of like telling people to type reset after they have logged in because we dont
leave TTY's in good condition.
Comment 4 Preston Brown 2000-01-18 11:13:59 EST
the insanely low settings are overridden in the new XFree86 3.3.6.
Comment 5 Tim Waugh 2000-01-18 18:17:59 EST
Does this mean that text console repeat rates will be fixed too?

Note You need to log in before you can comment on or make changes to this bug.